# Function asyncIterableBatchProcessor

- asyncIterableBatchProcessor<T, K>(items, batchProcess, batchSize?): Promise<void>

- #### Type Parameters

  - T
  - K

  #### Parameters

  - items: AsyncIterable<T, any, any> | Iterable<T, any, any>
  - batchProcess: ((arg: T[]) => Promise<K>)
    - - (arg): Promise<K>

      - #### Parameters

        - arg: T[]

        #### Returns Promise<K>

  - batchSize: number = 10

  #### Returns Promise<void>

  - Defined in work/deeplinks/deeplinks/imports/cyber/utils/async/iterable.ts:8